Loading...
Searching...
No Matches
Code Flag Constants

## Variables

const | Qore::Reflection::CF_CONSTANT = QCF_CONSTANT_INTERN
| Set on variants that cannot throw an exception.
const | Qore::Reflection::CF_DEPRECATED = QCF_DEPRECATED
| Set on deprecated variants.
const | Qore::Reflection::CF_NOOP = QCF_NOOP
| Set on variants that are present for backwards-compatibility that always return a constant value (normally NOTHING) due to argument errors.
const | Qore::Reflection::CF_RET_VALUE_ONLY = QCF_RET_VALUE_ONLY
| Set on variants that only return a value depending on any arguments and have no side effects.
const | Qore::Reflection::CF_RUNTIME_NOOP = QCF_RUNTIME_NOOP
| Like CF_NOOP but makes variants unavailable at both parse time and run time when either strict-args or require-types or both are set.
const | Qore::Reflection::CF_USES_EXTRA_ARGS = QCF_USES_EXTRA_ARGS
| Set on variants that accept extra arguments after their parameter arguments.

## Detailed Description

Constants providing information about code variants

Since
  Qore 0.9

## Variable Documentation

## CF_NOOP

const Qore::Reflection::CF_NOOP = QCF_NOOP

Set on variants that are present for backwards-compatibility that always return a constant value (normally NOTHING) due to argument errors.

Variants with this flag set are not accessible at parse time when strict-args or require-types are set and therefore should be considered deprecated

## CF_RUNTIME_NOOP

const Qore::Reflection::CF_RUNTIME_NOOP = QCF_RUNTIME_NOOP

Like CF_NOOP but makes variants unavailable at both parse time and run time when either strict-args or require-types or both are set.

as with CF_NOOP, variants with this flag set should be considered deprecated